%% Initial cleanup
clear all;
close all;
clc;

%% Paths and variables
addpath(genpath(pwd));

%% Load the *.xlsx file
[NUM,TXT,VSE] = xlsread('hodnoty_parametru_regrese_bez_DX_outliera');


feat_labels = TXT(3, 67:71).';
feat_data   = NUM(51:end, 66:70);
clin_data   = VSE([2, 54:end],4:7);

%% Set the optional arguments
sett.type_corr = 'Spearman';
sett.fit_order = 1;

%% Perform correlation analysis
[rho, p_val] = correlation_analysis(feat_data, ...
    feat_labels, ...
    clin_data, ...
    sett);